summaryrefslogtreecommitdiffstats
path: root/tests/functions.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/functions.sh')
-rw-r--r--tests/functions.sh30
1 files changed, 22 insertions, 8 deletions
diff --git a/tests/functions.sh b/tests/functions.sh
index 6c6fa9596..c04022b3b 100644
--- a/tests/functions.sh
+++ b/tests/functions.sh
@@ -9,6 +9,24 @@ function ts_skip {
exit 0
}
+function ts_failed {
+ if [ x"$1" == x"" ]; then
+ echo " FAILED ($TS_NAME)"
+ else
+ echo " FAILED ($1)"
+ fi
+ exit 1
+}
+
+function ts_ok {
+ if [ x"$1" == x"" ]; then
+ echo " OK"
+ else
+ echo " OK ($1)"
+ fi
+ exit 0
+}
+
function ts_init {
export LANG="en_US.UTF-8":
TS_NAME=$(basename $0)
@@ -45,15 +63,11 @@ function ts_finalize {
exit 0
fi
if [ $res -eq 0 ]; then
- if [ x"$1" == x"" ]; then
- echo " OK"
- else
- echo " OK ($1)"
- fi
- exit 0
+ ts_ok $1
else
- echo " FAILED ($TS_NAME)"
- exit 1
+ ts_failed $1
fi
}
+
+